MONGOC_CLIENT_SESSION_GET_TRANSACTION_STATE(3)

NAME
mongoc_client_session_get_transaction_state - mongoc_client_session_get_transaction_state()

SYNOPSIS

        mongoc_transaction_state_t
        mongoc_client_session_get_transaction_state (const mongoc_client_session_t *session);

Returns the current transaction state for this session.

PARAMETERS

    •   session: A mongoc_client_session_t.

RETURN

Returns a mongoc_transaction_state_t that represents the current transaction state.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc